Subject: Re: bug#41005: problem with rendering Persian text in Emacs 27

From: Eli Zaretskii <[email-masked]>
Date: Wed, 22 Jul 2020 17:20:11 +0300

> From: Amin Bandali <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],
>   [email-masked]
> Date: Tue, 21 Jul 2020 22:12:19 -0400
> 
> >> Lastly, it might be worth mentioning that if I recall correctly, when
> >> using xfthb with emacs-27, I observe the same issue.  Which may suggest
> >> that perhaps the issue is related to Emacs's HarfBuzz support.
> >
> > But that's exactly the configuration that was fixed...
> >
> 
> It is strange.  I did some more testing.  Whether with xfthb (emacs-27)
> or ftcrhb (master), it seems like typing in Persian in *scratch* works
> okay.  However, if I paste (yank) Persian text, e.g. from Wikipedia,
> into *scratch*, the issue surfaces and yanked text is garbled.  Further,
> Persian text in Gnus's article-mode and in message-mode is always
> garbled to begin with.  It does seem like a HarfBuzz issue to me.
> Please feel free to grab the Vazir font and test for yourself.

Does this happen only with that font, or does it happen with any font
that supports Persian?

If it's only that font, then I don't think we should try solving this
in Emacs; please report this to the font developers.

If the problem happens with any Persian-supporting font, then please
tell the details: which page you copy/paste from, what browser did you
use to copy that text, detailed steps for how to reproduce in Gnus,
etc.  This bug report described a problem that happened in different
situation (the Emacs EWW browser), so it's hard to know what exactly
happens in your case.

Thanks.